"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypeormMixinService = void 0;
const methods_1 = require("./methods");
const utils_methode_1 = require("./utils/utils-methode");
class TypeormMixinService {
    constructor(repository, config, transform) {
        this.repository = repository;
        this.config = config;
        this.transform = transform;
        this.UtilsMethode = utils_methode_1.UtilsMethode;
    }
    getAll(options) {
        return methods_1.MethodsService.getAll.call(this, options);
    }
    getOne(options) {
        return methods_1.MethodsService.getOne.call(this, options);
    }
    deleteOne(options) {
        return methods_1.MethodsService.deleteOne.call(this, options);
    }
    postOne(options) {
        return methods_1.MethodsService.postOne.call(this, options);
    }
    patchOne(options) {
        return methods_1.MethodsService.patchOne.call(this, options);
    }
    getRelationship(options) {
        return methods_1.MethodsService.getRelationship.call(this, options);
    }
    deleteRelationship(options) {
        return methods_1.MethodsService.deleteRelationship.call(this, options);
    }
    postRelationship(options) {
        return methods_1.MethodsService.postRelationship.call(this, options);
    }
    patchRelationship(options) {
        return methods_1.MethodsService.patchRelationship.call(this, options);
    }
}
exports.TypeormMixinService = TypeormMixinService;
//# sourceMappingURL=typeorm.mixin.js.map