"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Addresses = void 0;
const tslib_1 = require("tslib");
const typeorm_1 = require("typeorm");
const class_validator_1 = require("class-validator");
const _1 = require(".");
let Addresses = class Addresses {
};
tslib_1.__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)(),
    tslib_1.__metadata("design:type", Number)
], Addresses.prototype, "id", void 0);
tslib_1.__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.Length)(3, 70),
    (0, typeorm_1.Column)({
        type: 'varchar',
        length: 70,
        nullable: true,
        default: 'NULL',
    }),
    tslib_1.__metadata("design:type", String)
], Addresses.prototype, "city", void 0);
tslib_1.__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.Length)(3, 70),
    (0, typeorm_1.Column)({
        type: 'varchar',
        length: 70,
        nullable: true,
        default: 'NULL',
    }),
    tslib_1.__metadata("design:type", String)
], Addresses.prototype, "state", void 0);
tslib_1.__decorate([
    (0, class_validator_1.IsOptional)(),
    (0, class_validator_1.Length)(3, 68),
    (0, typeorm_1.Column)({
        type: 'varchar',
        length: 68,
        nullable: true,
        default: 'NULL',
    }),
    tslib_1.__metadata("design:type", String)
], Addresses.prototype, "country", void 0);
tslib_1.__decorate([
    (0, typeorm_1.Column)({
        name: 'array_field',
        type: 'varchar',
        nullable: true,
        default: 'NULL',
        array: true,
    }),
    tslib_1.__metadata("design:type", Array)
], Addresses.prototype, "arrayField", void 0);
tslib_1.__decorate([
    (0, class_validator_1.IsEmpty)(),
    (0, typeorm_1.Column)({
        name: 'created_at',
        type: 'timestamp',
        nullable: true,
        default: 'CURRENT_TIMESTAMP',
    }),
    tslib_1.__metadata("design:type", Date)
], Addresses.prototype, "createdAt", void 0);
tslib_1.__decorate([
    (0, class_validator_1.IsEmpty)(),
    (0, typeorm_1.UpdateDateColumn)({
        name: 'updated_at',
        type: 'timestamp',
        nullable: true,
        default: 'CURRENT_TIMESTAMP',
    }),
    tslib_1.__metadata("design:type", Date)
], Addresses.prototype, "updatedAt", void 0);
tslib_1.__decorate([
    (0, typeorm_1.OneToOne)(() => _1.Users, (item) => item.addresses),
    tslib_1.__metadata("design:type", Object)
], Addresses.prototype, "user", void 0);
Addresses = tslib_1.__decorate([
    (0, typeorm_1.Entity)('addresses')
], Addresses);
exports.Addresses = Addresses;
//# sourceMappingURL=addresses.js.map